package javagi.benchmarks.interpreter;

public class FunEnv {

    private String[] names;
    private Function[] functions;

    public FunEnv(Function[] functions) {
        this.names = names;
        this.functions = functions;
    }
    
    public Function getFunction(String name) {
        for (int i = 0; i < this.functions.length; i++) {
            if (this.functions[i].getName().equals(name)) {
                return this.functions[i];
            }
        }
        throw new RuntimeException("Undefined variable " + name);
    }
}
