package javagi.benchmarks.interpreter;

public class VarEnv {
    private String[] vars;
    private long[] values;
    
    public VarEnv(String[] vars, long[] values) {
        this.vars = vars;
        this.values = values;
    }
    
    public VarEnv() {
        this.vars = new String[0];
        this.values = new long[0];
    }
    
    public long getVar(String name) {
        for (int i = 0; i < this.vars.length; i++) {
            if (this.vars[i].equals(name)) {
                return this.values[i];
            }
        }
        throw new RuntimeException("Undefined variable " + name);
    }
}
