#!/bin/bash

FILE="$(readlink -e $0)"
TOP=$(cd "`dirname \"$FILE\"`/../.."; pwd -P)
THIS=$(cd "`dirname \"$FILE\"`"; pwd -P)

source "$TOP/config.sh"

# for profiling: 
#PROF_OPT="-javaagent:$TOP/lib/shiftone-jrat.jar"

cd  $THIS

runhaskell Gen.hs || exit 1

echo "Running Java version"
rm -rf build
mkdir build
$ECJ_CMD -version
$ECJ_CMD -classpath $TOP/build/java-benchmarks:build -d build JavaTest.java MainJava.java || exit 1
echo
$JAVA_CMD -classpath $THIS/build:$TOP/build/java-benchmarks MainJava

echo
echo "Running JavaGI version"
rm -rf build
mkdir build
$JAVAGIC_CMD -version
$JAVAGIC_CMD -classpath $TOP/build/java-benchmarks -d build MainJavaGI.java JavaGITest.java || exit 1
echo
$JAVA_CMD $PROF_OPT -classpath $THIS/build:$TOP/build/java-rt:$TOP/build/java-benchmarks MainJavaGI