package javagi.benchmarks.interpreter;

public class Program {

    Function[] functions;
    Expression expr;
    
    public Program(Expression expr, Function... functions) {
        this.expr = expr;
        this.functions = functions;
    }
    
    public long eval() {
        FunEnv fenv = new FunEnv(this.functions);
        VarEnv env = new VarEnv();
        return this.expr.eval(env, fenv);
    }
}
